mate-panel (1.20.5-1.1.lnd.3) unstable; urgency=medium
  
  * Add def_weather_temperature.
  - Add switch to start loongnix.layout.

 -- Huang Jia Wen <huangjiawen@loongson.cn>  Thu, 17 Mar 2022 17:09:10 +0800

mate-panel (1.20.5-1.1.lnd.2) unstable; urgency=medium
  
  * Add loongnix layout.

 -- Huang Jia Wen <huangjiawen@loongson.cn>  Thu, 20 Jan 2022 16:19:10 +0800

mate-panel (1.20.5-1.1.lnd.1) unstable; urgency=medium

  * Change data/default.layout.

 -- Liu Xiang <liuxiang@loongson.cn>  Tue, 02 Feb 2021 15:21:20 +0800

mate-panel (1.20.5-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 02 Feb 2019 03:36:11 +0100

mate-panel (1.20.4-2) unstable; urgency=medium

  * debian/patches:
    + Add 0004_configure.ac-Explicitly-require-in-RDA-0.0.3.patch.
      Explicitly require RDA 0.0.3 or higher.
  * debian/control:
    + Versioned B-D on librda-dev (>= 0.0.3-2~).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 20 Jan 2019 01:07:24 +0100

mate-panel (1.20.4-1) unstable; urgency=medium

  * New upstream release.
    - Transfer focus on alt-F1 correctly. (Closes: #909176).
  * debian/patches:
    + Add 0001_RDA-support-Make-MATE-panel-aware-of-being-run-insid.patch,
          0002_mate-panel-panel-menu-items.c-Only-offer-Shutdown-bu.patch,
          0003_configure.ac-Report-RDA-support-status-in-configurat.patch.
      Introduce RDA (remote desktop awareness).
  * debian/control:
    + Bump Standards-Version: to 4.3.0. No changes needed.
    + Add B-D librda-dev.
  * debian/libmate-panel-applet-4-1.symbols:
    + Add Build-Depends-Package meta data field.
  * debian/compat:
    + Drop file. Use new debhelper-compat notation in control file (and bump
      to DH compat level version 12).
  * debian/copyright:
    + Update copyright attributions

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 06 Jan 2019 17:10:27 +0100

mate-panel (1.20.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.2.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 20 Aug 2018 13:04:35 +0200

mate-panel (1.20.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop all patches. Shipped upstream now.
  * debian/control:
    + Update Vcs-*: fields. Package has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.1.4. No changes needed.
    + Drop pkg-mate-team Alioth mailing list from Uploaders: field.
  * debian/copyright:
    + Make Upstream-Name: field's value more human readable.
    + Update Upstream-Contact: field.
    + Update Source: field. Use secure URLs.
    + Update copyright attributions.
  * debian/upstream/metadata:
    + Add file. Be compliant with DEP-12 proposal.
    + Use Martin's address as Contact: address.
  * debian/libmate-panel-applet-4-1.symbols:
    + Update symbols.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 05 Jul 2018 18:27:47 +0200

mate-panel (1.20.1-3) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Add 0002_limit_panel_hide_button_size.patch. Constrain the size of the
      hide buttons on the panel.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 26 Apr 2018 22:57:27 +0200

mate-panel (1.20.1-2) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Add 0001_fix_panel_autohide.patch. Fix regression in mate-panel where
      the panel will auto hide when the menu is opened.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 23 Apr 2018 13:50:30 +0200

mate-panel (1.20.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/patches:
    + Drop 0001_scale_monitor_geometries.patch. Applied upstream.
    + Drop 0002_fix_out_process_applets_for_hidpi.patch. Applied upstream.
    + Drop 0003_fix_rendering_of_out-of-process_window_list_with_hidpi.patch.
      Applied upstream.
    + Drop 0004_fix_tray_icon_spacing.patch. Applied upstream.

  [ Mike Gabriel ]
  * debian/copyright:
    + Update copyright attributions.
  * debian/source/lintian-overrides:
    + Move to new/correct location.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 05 Apr 2018 13:38:16 +0200

mate-panel (1.20.0-3) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Add 0003_fix_rendering_of_out-of-process_window_list_with_hidpi.patch.
      Fix rendering of out-of-process window list with HiDPI.
    + Add 0004_fix_tray_icon_spacing.patch. Fix tray icon spacing with
      window-scaling > 1.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 22 Mar 2018 21:49:48 +0100

mate-panel (1.20.0-2) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/copyright:
    + Use secure URI for copyright format.

  [ Martin Wimpress ]
  * debian/patches:
    + Add 0001_scale_monitor_geometries.patch. Scale monitor geometries down
      to device pixels to support multiple monitors in HiDPI.
    + Add 0002_fix_out_process_applets_for_hidpi.patch. Fix out-of-process
      applet sizes for HiDPI.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 07 Mar 2018 14:39:32 +0100

mate-panel (1.20.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/copyright (already in 1.19.5-0ubuntu1):
    + Update copyright attributions.
  * debian/patches (in 1.19.5.0ubuntu1):
    + Drop 0001_no_scale.patch. Applied upstream.
    + Drop 1000_prevent_menubar_destruction_when_enabling_global_menus.patch.
      Applied upstream.
    + Add 0000_hidpi.patch. HiDPI support.
  * debian/patches (in 1.19.6-0ubuntu1):
    + Add 0001_down_scale_out_process_applet.patch. Divide the preferred
      width/height by the scale factor to ensure out-process applets are
      scaled correctly.
  * debian/patches (in 1.20.0-0ubuntu1):
    + Drop 0000_hidpi.patch. Applied upstream.
    + Drop 0001_down_scale_out_process_applet.patch. Applied upstream.

  [ Mike Gabriel ]
  * Starting with MATE 1.20, mate-panel uses ~/.config/gtk-3.0/bookmarks.
    (Closes: #760311).
  * debian/libmate-panel-applet-4-1.symbols:
    + Update symbols file.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 13 Feb 2018 16:38:42 +0100

mate-panel (1.20.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Wed, 07 Feb 2018 14:03:56 +0000

mate-panel (1.19.6-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Fri, 26 Jan 2018 16:23:13 +0000

mate-panel (1.19.5-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Tue, 23 Jan 2018 12:37:31 +0000

mate-panel (1.18.7-4) unstable; urgency=medium

  * debian/control:
    + Remove empty line at EOF.
    + Add another B:/R: couple for gir1.2-mate-panel (<< 1.18.7-3~) to
      gir1.2-matepanelapplet-4.0. (Closes: #887876).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 21 Jan 2018 17:43:53 +0100

mate-panel (1.18.7-3) unstable; urgency=medium

  * Rename GIR package to match Debian Policy.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 21 Jan 2018 02:11:29 +0100

mate-panel (1.18.7-2) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/control:
    + Rename pretty name of our team -> Debian+Ubuntu MATE Packaging Team.
    + Update Maintainer: field to debian-mate ML on lists.debian.org.
    + Temporarily have pkg-mate-team ML under Uploaders:.

  [ Mike Gabriel ]
  * debian/libmate-panel-applet-4-1.symbols:
    + Update to play well with recent changes in unstable. (Closes: #887756).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 20 Jan 2018 02:05:04 +0100

mate-panel (1.18.7-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release. (LP: #1371069)

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.1.3. No changes needed.
  * debian/{control,compat}:
    + Bump to DH version level 11.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 09 Jan 2018 16:22:52 +0100

mate-panel (1.18.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/libmate-panel-applet-4-1.symbols:
    + Update symbols for 1.18.6.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 25 Nov 2017 17:57:08 +0100

mate-panel (1.18.5-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
    - Fix icon spacing in vertical panels. (Closes: #865734).
  * debian/patches:
    + Drop 0000_add_gsettings_key_to_enable_sni.patch. Applied upstream.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.1.1. No changes needed.
  * debian/watch:
    + Use secure URI.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Nov 2017 10:54:50 +0100

mate-panel (1.18.4-2) unstable; urgency=medium

  * As-is re-upload to re-trigger a full rebuild on all architectures.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 23 Aug 2017 17:48:07 +0200

mate-panel (1.18.4-1) unstable; urgency=medium

  [ Aron Xu ]
  * New upstream release

  [ Martin Wimpress ]
  * debian/control:
    + Dependencies updated for MATE 1.17.
    + Dependencies updated for MATE 1.18.
    + Drop obsolete B-D for libcanberra-gtk3-dev.
  * debian/copyright:
    + Update copyright attributions.
  * debian/rules:
    + Disable Python, it is no longer required.
    + Remove obsolete --with-gtk=3.0
  * debian/patches:
    + Add 1000_prevent_menubar_destruction_when_enabling_global_menus.patch.
    + Add 0000_add_gsettings_key_to_enable_sni.patch.
    + Add debian/patches/0001_no_scale.patch.

  [ Vangelis Mouhtsis ]
  * debian/compat:
    + Update compat version.
  * debian/control:
    + Bump debhelper version to (>= 10.3~).
  * debian/rules:
    + Add new block for override_dh_missing.
  * debian/control:
    + Bump Standards-Version: to 4.0.0. No changes needed.

  [ Mike Gabriel ]
  * debian/rules:
    + Disable autoreconf, handled by autogen.sh.
  * debian/patches:
    + Drop 0001_memleak-fix.patch. Included in this upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 25 Jul 2017 11:45:14 +0200

mate-panel (1.16.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Cherry-pick 0001_memleak-fix.patch from upstream Git.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 28 Apr 2017 10:35:00 +0200

mate-panel (1.16.0-2) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/control:
    + Drop excessive Depends gir1.2-gtk-3.0 (gir1.2-mate-panel).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 24 Jan 2017 13:43:17 +0100

mate-panel (1.16.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
    - Contains fixes for various issues observed with GTK 3.21 and newer.
      (Closes: #836301, #836994, #837875, #836137, #838142, #837655).

  [ Vangelis Mouhtsis ]
  * debian/changelog:
    + Fix missing changelog items for 1.15.1-0ubuntu1 upload.
  * debian/control:
    + Dependencies updated for MATE 1.16.
  * debian/watch:
    + Update version matching again to _not_ support development releases.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 02 Oct 2016 22:27:36 +0200

mate-panel (1.15.1-0ubuntu1) yakkety; urgency=medium

  * New upstream development release. (Closes: #836301, #836994).
  * debian/control:
    + Dependencies updated for MATE 1.15.
  * debian/watch:
    + Update version matching to support development releases.

 -- Martin Wimpress <code@flexion.org>  Fri, 09 Sep 2016 13:04:47 +0100

mate-panel (1.14.2-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 Aug 2016 11:23:45 +0200

mate-panel (1.14.1-1) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/{control,rules}:
    Don't build dbg:packages anymore. See
    https://wiki.debian.org/AutomaticDebugPackages.

  [ Martin Wimpress ]
  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 12 Jun 2016 21:25:52 +0200

mate-panel (1.14.0-1) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/control:
    + Versioned B-D on dpkg-dev (>= 1.16.1.1).
    + Use encrypted URLs for Vcs-*: field.
    + Add myself to Uploaders: field.
  * debian/rules:
    + Enable all hardening flags.

  [ Martin Wimpress ]
  * New upstream release.
  * debian/control:
    + B-D: libcanberra-gtk3-dev
    + B-D: libgtk-3-dev
    + Versioned B-D: libmate-desktop-dev (>= 1.14)
    + Versioned B-D: libmate-menu-dev (>= 1.14)
    + Versioned B-D: libmateweather-dev (>= 1.14)
    + Versioned B-D: mate-common (>= 1.14)
    + B-D: libwnck-3-dev.
    + Drop D (mate-panel): python.
    + Add to D (libmate-panel-applet-dev): libgtk-3-dev.
    + Add to D (gir1.2-mate-panel): gir1.2-gtk-3.0.
    + Drop D (gir1.2-mate-panel): {python:Depends}.
  * debian/rules:
    + MateConf dropped upstream.
    + Add --with-gtk=3.0
  * debian/patches:
    + Drop 2002_stretched-buttons-on-vertical-plains.patch. Applied upstream.
  * debian/copyright:
    + Update copyright attributions.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards: to 3.9.8. No changes needed.
  * debian/libmate-panel-applet-4-1.symbols:
    + Update symbols for mate-panel 1.14.0.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 24 May 2016 11:06:22 +0200

mate-panel (1.12.2-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.

  [ Mike Gabriel ]
  * debian/rules:
    + Enable dh_girepository helper.
  * debian/patches:
    + Re-introduce 2002_stretched-buttons-on-vertical-plains.patch.
      (Closes: #785272, #810215)."
  * debian/control:
    + Drop B-Ds: gir1.2-gdkpixbuf-2.0, gir1.2-glib-2.0, gir1.2-gtk-2.0,
      gir1.2-pango-1.0. Already pulled in as dependencies of lib*-dev
      packages found in Build-Depends: field.
    + Add B-D: libatk1.0-dev instead of gir1.2-atk-1.0.
    + Versioned B-D on libwnck-dev (>= 2.30.7-5~).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 14 Feb 2016 15:31:24 +0100

mate-panel (1.12.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/patches:
    + Remove obsolete patches 0001_update-marco-wm-name.patch and
      0002_avoid-dereferencing-NULL-pointer.patch.
    + Drop obsolete 2002_stretched-buttons-on-vertical-plains.patch.
  * debian/copyright:
    + Update copyright attributions.
  * debian/watch:
    + Drop +gfdl suffix.
  * debian/control:
    + Versioned B-D: mate-common (>= 1.12) and libmate-desktop-dev
      (>= 1.12).
  * debian/rules:
    + Remove obsolete --disable-scrollkeeper build option. Add --with-gtk=2.0
      build option.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 31 Dec 2015 14:33:10 +0100

mate-panel (1.10.1+gfdl1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Drop 2001_omit-gfdl-licensed-help-files.patch because mate-panel help
      files are DFSG compliant.
  * debian/control:
    + Remove superfluous avahi dependencies.
    + Add dh-python.
  * debian/mate-panel-common.install:
    + Add usr/share/help.
  * debian/rules:
    + Remove +dsfg1 suffix.
  * debian/watch:
    + Remove +dfsg1 suffix.
  * debian/copyright:
    + Add copyright attribution for help authors and translators.
  * debian/{watch,changelog}:
    + Temporarily use +gfdl1 suffix to make the package's version uploaded to
      unstable greater than the package version in experimental.

  [ Mike Gabriel ]
  * Upload to unstable.
  * debian/copyright:
    + Mention new panel .layout files.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 02 Sep 2015 05:27:38 +0200

mate-panel (1.10.1+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 17 Jul 2015 14:12:57 +0200

mate-panel (1.10.0+dfsg1-1~exp1) experimental; urgency=low

  [ Martin Wimpress ]
  * New upstream release.
  * debian/copyright:
    + Update for new upstream release.
  * debian/patches:
    + Drop 0001_update-marco-wm-name.patch. Applied upstream.
    + Drop 0002_avoid-dereferencing-NULL-pointer.patch. Applied
      upstream.
    + Rebased debian/patches/2002_stretched-buttons-on-vertical-plains.patch
      for mate-panel 1.10.0.

  [ Mike Gabriel ]
  * debian/rules:
    + Create repacked orig tarball in ../ rather than in $(CURDIR).
  * debian/control:
    + Versioned B-D: mate-common (>= 1.10).
    + Update Section (gir1.2-mate-panel): introspection.
  * debian/copyright:
    + Remove files that are not shipped in the upstream sources anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 16 Jun 2015 20:31:27 +0200

mate-panel (1.8.1+dfsg1-4) unstable; urgency=medium

  * debian/patches:
    + Add 2002_stretched-buttons-on-vertical-plains.patch (Debian/Ubuntu
      specific). Fix window List - stretched buttons on vertical panel
      orientation. (Closes: #785272).
    + Add 0002_avoid-dereferencing-NULL-pointer.patch. Fix NULL pointer
      dereference in GList extensions. (Closes: #779854).
    + Update fuzzy 0001_update-marco-wm-name.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 07 Jun 2015 02:12:37 +0200

mate-panel (1.8.1+dfsg1-3) unstable; urgency=medium

  * debian/rules:
    + Install MATE panel applet executables to non-multi-arch libexecdir.
      (Closes: #769422).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 12 Dec 2014 11:33:42 +0100

mate-panel (1.8.1+dfsg1-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_update-marco-wm-name.patch. Adapt to WM name change in marco
      v1.8.2.
  * debian/rules:
    + Use upstream's NEWS file as upstream ChangeLog.
  * debian/copyright:
    + Remove applets/clock/clock-typebuiltins.*, not in upstream sources
      anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 23 Oct 2014 12:25:07 +0200

mate-panel (1.8.1+dfsg1-1) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/rules:
    + Replace on dh_install --list-missing -> --fail-missing.
  * debian/control:
    + Bump Standards: to 3.9.6. No changes needed.

  [ Mike Gabriel ]
  * New upstream release. (Closes: #762094).
  * debian/copyright:
    + Add copyright information for po/*.po files. Really mention all upstream
      files.

  [ Iain Lane ]
  * debian/gir1.2-mate-panel.install:
    + Install typelib file into the multiarch libdir. (Closes: #762834,
      #763232).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 29 Sep 2014 09:29:58 +0200

mate-panel (1.8.0+dfsg1-2) unstable; urgency=low

  * debian/rules:
    + Enable parallel builds.
    + Turn on compiler commands during package build (configure option:
      --disable-silent-rules).
  * debian/copyright:
    + Fix typo (opinion -> option).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 May 2014 15:45:59 +0200

mate-panel (1.8.0+dfsg1-1) unstable; urgency=low

  * New upstream release. (Closes: #743898).
  * debian/changelog:
    + Fix ITP closure in previous changelog stanza.
    + Close mate-panel ITP now. (Closes: #730230).
  * debian/control:
    + Drop B-Ds: mate-doc-utils, mate-doc-utils-gnome.
    + Update B-D: libmatewnck-dev -> libwnck-dev.
  * debian/copyright:
    + Point to git.mate-desktop.org in Source: field.
    + Adapt to file changes in new upstream source tree.
  * debian/patches:
    + Update 2001_omit-gfdl-licensed-help-files.patch.
  * debian/rules:
    + Build package using autogen.sh.
  * debian/watch:
    + Use tagged CGit tarball snapshots as upstream source.
  * lintian: Drop unused overrides.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 08 Apr 2014 23:04:53 +0200

mate-panel (1.6.2+dfsg1-1) unstable; urgency=low

  * Initial release. (Closes: #730230).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 25 Feb 2014 13:21:00 +0100
